- Main Page
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# MittelmannParaCntrlBase< T > Class Template Reference

Base class for parabolic and elliptic control problems, as formulated by Hans Mittelmann as problem (P) in "Sufficient Optimality for Discretized Parabolic and Elliptic Control Problems". More...

`#include <MittelmannParaCntrl.hpp>`

Inheritance diagram for MittelmannParaCntrlBase< T >:

[legend]
Collaboration diagram for MittelmannParaCntrlBase< T >:

[legend]
List of all members.

## Public Member Functions
| MittelmannParaCntrlBase ()
| Constructor.
virtual | ~MittelmannParaCntrlBase ()
| Default destructor.
virtual bool | get_scaling_parameters (Number &obj_scaling, bool &use_x_scaling, Index n, Number *x_scaling, bool &use_g_scaling, Index m, Number *g_scaling)
| Method for returning scaling parameters.
virtual bool | InitializeProblem (Index N)
| Initialize internal parameters, where N is a parameter determining the problme size.
Overloaded from TNLP
virtual bool | get_nlp_info (Index &n, Index &m, Index &nnz_jac_g, Index &nnz_h_lag, IndexStyleEnum &index_style)
| Method to return some info about the nlp.
virtual bool | get_bounds_info (Index n, Number *x_l, Number *x_u, Index m, Number *g_l, Number *g_u)
| Method to return the bounds for my problem.
virtual bool | get_starting_point (Index n, bool init_x, Number *x, bool init_z, Number *z_L, Number *z_U, Index m, bool init_lambda, Number *lambda)
| Method to return the starting point for the algorithm.
virtual bool | eval_f (Index n, const Number *x, bool new_x, Number &obj_value)
| Method to return the objective value.
virtual bool | eval_grad_f (Index n, const Number *x, bool new_x, Number *grad_f)
| Method to return the gradient of the objective.
virtual bool | eval_g (Index n, const Number *x, bool new_x, Index m, Number *g)
| Method to return the constraint residuals.
virtual bool | eval_jac_g (Index n, const Number *x, bool new_x, Index m, Index nele_jac, Index *iRow, Index *jCol, Number *values)
| Method to return: 1) The structure of the jacobian (if "values" is NULL) 2) The values of the jacobian (if "values" is not NULL).
virtual bool | eval_h (Index n, const Number *x, bool new_x, Number obj_factor, Index m, const Number *lambda, bool new_lambda, Index nele_hess, Index *iRow, Index *jCol, Number *values)
| Method to return: 1) The structure of the hessian of the lagrangian (if "values" is NULL) 2) The values of the hessian of the lagrangian (if "values" is not NULL).
Solution Methods
virtual void | finalize_solution (SolverReturn status, Index n, const Number *x, const Number *z_L, const Number *z_U, Index m, const Number *g, const Number *lambda, Number obj_value, const IpoptData *ip_data, IpoptCalculatedQuantities *ip_cq)
| This method is called after the optimization, and could write an output file with the optimal profiles.
## Private Member Functions
Methods to block default compiler methods.
The compiler automatically generates the following three methods. Since the default compiler implementation is generally not what you want (for all but the most simple classes), we usually put the declarations of these methods in the private section and never implement them. This prevents the compiler from implementing an incorrect "default" behavior without us knowing. (See Scott Meyers book, "Effective C++")
| MittelmannParaCntrlBase (const MittelmannParaCntrlBase< T > &)
MittelmannParaCntrlBase & | operator= (const MittelmannParaCntrlBase< T > &)
Auxilliary methods
Index | y_index (Index jx, Index it) const
| Translation of mesh point indices to NLP variable indices for y(x_ij).
Index | u_index (Index it) const
| Translation of mesh point indices to NLP variable indices for y(x_ij).
Number | t_grid (Index i) const
| Compute the grid coordinate for given index in t direction.
Number | x_grid (Index j) const
| Compute the grid coordinate for given index in x direction.
## Private Attributes
Problem specification
Number | T_
| Upper bound on t.
Number | l_
| Upper bound on x.
Index | Nt_
| Number of mesh points in t direction.
Index | Nx_
| Number of mesh points in x direction.
Number | dt_
| Step size in t direction.
Number | dx_
| Step size in x direction.
Number | lb_y_
| overall lower bound on y
Number | ub_y_
| overall upper bound on y
Number | lb_u_
| overall lower bound on u
Number | ub_u_
| overall upper bound on u
Number | alpha_
| Weighting parameter for the control target deviation functional in the objective.
Number | beta_
| Weighting parameter in PDE.
Number * | y_T_
| Array for the target profile for y in objective.
Number * | a_y_
| Array for weighting function a_y in objective.
Number * | a_u_
| Array for weighting function a_u in objective.

## Detailed Description

### template<class T>
class MittelmannParaCntrlBase< T >

Base class for parabolic and elliptic control problems, as formulated by Hans Mittelmann as problem (P) in "Sufficient Optimality for Discretized Parabolic and Elliptic Control Problems".

Definition at line 32 of file MittelmannParaCntrl.hpp.

## Constructor & Destructor Documentation

template<class T>

MittelmannParaCntrlBase< T >::MittelmannParaCntrlBase | ( |  | ) |

Constructor.

Definition at line 183 of file MittelmannParaCntrl.hpp.

template<class T>

MittelmannParaCntrlBase< T >::~MittelmannParaCntrlBase | ( |  | ) | `[virtual]`

Default destructor.

Definition at line 191 of file MittelmannParaCntrl.hpp.

References MittelmannParaCntrlBase< T >::a_u_, MittelmannParaCntrlBase< T >::a_y_, and MittelmannParaCntrlBase< T >::y_T_.

template<class T>

MittelmannParaCntrlBase< T >::MittelmannParaCntrlBase | ( | const MittelmannParaCntrlBase< T > & |  | ) | `[private]`

## Member Function Documentation

template<class T>

bool MittelmannParaCntrlBase< T >::get_nlp_info | ( | Index & | n,
|  | Index & | m,
|  | Index & | nnz_jac_g,
|  | Index & | nnz_h_lag,
|  | IndexStyleEnum & | index_style |
| ) |  |  | `[virtual]`

Method to return some info about the nlp.

Definition at line 240 of file MittelmannParaCntrl.hpp.

References Ipopt::TNLP::C_STYLE, MittelmannParaCntrlBase< T >::Nt_, and MittelmannParaCntrlBase< T >::Nx_.

template<class T>

bool MittelmannParaCntrlBase< T >::get_bounds_info | ( | Index | n,
|  | Number * | x_l,
|  | Number * | x_u,
|  | Index | m,
|  | Number * | g_l,
|  | Number * | g_u |
| ) |  |  | `[virtual]`

Method to return the bounds for my problem.

Implements Ipopt::TNLP.

Definition at line 263 of file MittelmannParaCntrl.hpp.

References MittelmannParaCntrlBase< T >::lb_u_, MittelmannParaCntrlBase< T >::lb_y_, MittelmannParaCntrlBase< T >::Nt_, MittelmannParaCntrlBase< T >::Nx_, MittelmannParaCntrlBase< T >::t_grid(), MittelmannParaCntrlBase< T >::u_index(), MittelmannParaCntrlBase< T >::ub_u_, MittelmannParaCntrlBase< T >::ub_y_, MittelmannParaCntrlBase< T >::x_grid(), and MittelmannParaCntrlBase< T >::y_index().

template<class T>

bool MittelmannParaCntrlBase< T >::get_starting_point | ( | Index | n,
|  | bool | init_x,
|  | Number * | x,
|  | bool | init_z,
|  | Number * | z_L,
|  | Number * | z_U,
|  | Index | m,
|  | bool | init_lambda,
|  | Number * | lambda |
| ) |  |  | `[virtual]`

Method to return the starting point for the algorithm.

Implements Ipopt::TNLP.

Definition at line 313 of file MittelmannParaCntrl.hpp.

References DBG_ASSERT, MittelmannParaCntrlBase< T >::lb_u_, MittelmannParaCntrlBase< T >::Nt_, MittelmannParaCntrlBase< T >::Nx_, MittelmannParaCntrlBase< T >::u_index(), MittelmannParaCntrlBase< T >::ub_u_, and MittelmannParaCntrlBase< T >::y_index().

template<class T>

bool MittelmannParaCntrlBase< T >::eval_f | ( | Index | n,
|  | const Number * | x,
|  | bool | new_x,
|  | Number & | obj_value |
| ) |  |  | `[virtual]`

Method to return the objective value.

Implements Ipopt::TNLP.

Definition at line 357 of file MittelmannParaCntrl.hpp.

References MittelmannParaCntrlBase< T >::a_u_, MittelmannParaCntrlBase< T >::a_y_, MittelmannParaCntrlBase< T >::alpha_, MittelmannParaCntrlBase< T >::dt_, MittelmannParaCntrlBase< T >::dx_, MittelmannParaCntrlBase< T >::Nt_, MittelmannParaCntrlBase< T >::Nx_, MittelmannParaCntrlBase< T >::u_index(), MittelmannParaCntrlBase< T >::y_index(), and MittelmannParaCntrlBase< T >::y_T_.

template<class T>

bool MittelmannParaCntrlBase< T >::eval_grad_f | ( | Index | n,
|  | const Number * | x,
|  | bool | new_x,
|  | Number * | grad_f |
| ) |  |  | `[virtual]`

Method to return the gradient of the objective.

Implements Ipopt::TNLP.

Definition at line 393 of file MittelmannParaCntrl.hpp.

References MittelmannParaCntrlBase< T >::a_u_, MittelmannParaCntrlBase< T >::a_y_, MittelmannParaCntrlBase< T >::alpha_, MittelmannParaCntrlBase< T >::dt_, MittelmannParaCntrlBase< T >::dx_, MittelmannParaCntrlBase< T >::Nt_, MittelmannParaCntrlBase< T >::Nx_, MittelmannParaCntrlBase< T >::u_index(), MittelmannParaCntrlBase< T >::y_index(), and MittelmannParaCntrlBase< T >::y_T_.

template<class T>

bool MittelmannParaCntrlBase< T >::eval_g | ( | Index | n,
|  | const Number * | x,
|  | bool | new_x,
|  | Index | m,
|  | Number * | g |
| ) |  |  | `[virtual]`

Method to return the constraint residuals.

Implements Ipopt::TNLP.

Definition at line 426 of file MittelmannParaCntrl.hpp.

References MittelmannParaCntrlBase< T >::beta_, DBG_ASSERT, MittelmannParaCntrlBase< T >::dt_, MittelmannParaCntrlBase< T >::dx_, MittelmannParaCntrlBase< T >::Nt_, MittelmannParaCntrlBase< T >::Nx_, MittelmannParaCntrlBase< T >::u_index(), and MittelmannParaCntrlBase< T >::y_index().

template<class T>

bool MittelmannParaCntrlBase< T >::eval_jac_g | ( | Index | n,
|  | const Number * | x,
|  | bool | new_x,
|  | Index | m,
|  | Index | nele_jac,
|  | Index * | iRow,
|  | Index * | jCol,
|  | Number * | values |
| ) |  |  | `[virtual]`

Method to return: 1) The structure of the jacobian (if "values" is NULL) 2) The values of the jacobian (if "values" is not NULL).

Implements Ipopt::TNLP.

Definition at line 464 of file MittelmannParaCntrl.hpp.

References MittelmannParaCntrlBase< T >::beta_, DBG_ASSERT, MittelmannParaCntrlBase< T >::dt_, MittelmannParaCntrlBase< T >::dx_, MittelmannParaCntrlBase< T >::Nt_, MittelmannParaCntrlBase< T >::Nx_, MittelmannParaCntrlBase< T >::u_index(), and MittelmannParaCntrlBase< T >::y_index().

template<class T>

bool MittelmannParaCntrlBase< T >::eval_h | ( | Index | n,
|  | const Number * | x,
|  | bool | new_x,
|  | Number | obj_factor,
|  | Index | m,
|  | const Number * | lambda,
|  | bool | new_lambda,
|  | Index | nele_hess,
|  | Index * | iRow,
|  | Index * | jCol,
|  | Number * | values |
| ) |  |  | `[virtual]`

Method to return: 1) The structure of the hessian of the lagrangian (if "values" is NULL) 2) The values of the hessian of the lagrangian (if "values" is not NULL).

Reimplemented from Ipopt::TNLP.

Definition at line 566 of file MittelmannParaCntrl.hpp.

References MittelmannParaCntrlBase< T >::alpha_, DBG_ASSERT, MittelmannParaCntrlBase< T >::dt_, MittelmannParaCntrlBase< T >::dx_, MittelmannParaCntrlBase< T >::Nt_, MittelmannParaCntrlBase< T >::Nx_, MittelmannParaCntrlBase< T >::u_index(), and MittelmannParaCntrlBase< T >::y_index().

template<class T>

bool MittelmannParaCntrlBase< T >::get_scaling_parameters | ( | Number & | obj_scaling,
|  | bool & | use_x_scaling,
|  | Index | n,
|  | Number * | x_scaling,
|  | bool & | use_g_scaling,
|  | Index | m,
|  | Number * | g_scaling |
| ) |  |  | `[virtual]`

Method for returning scaling parameters.

Reimplemented from Ipopt::TNLP.

Definition at line 343 of file MittelmannParaCntrl.hpp.

References MittelmannParaCntrlBase< T >::dt_, MittelmannParaCntrlBase< T >::dx_, and Ipopt::Min().

template<class T>

void MittelmannParaCntrlBase< T >::finalize_solution | ( | SolverReturn | status,
|  | Index | n,
|  | const Number * | x,
|  | const Number * | z_L,
|  | const Number * | z_U,
|  | Index | m,
|  | const Number * | g,
|  | const Number * | lambda,
|  | Number | obj_value,
|  | const IpoptData * | ip_data,
|  | IpoptCalculatedQuantities * | ip_cq |
| ) |  |  | `[virtual]`

This method is called after the optimization, and could write an output file with the optimal profiles.

Definition at line 627 of file MittelmannParaCntrl.hpp.

template<class T>

bool MittelmannParaCntrlBase< T >::InitializeProblem | ( | Index | N | ) | `[virtual]`

Initialize internal parameters, where N is a parameter determining the problme size.

This returns false, if N has an invalid value.

Implements RegisteredTNLP.

Definition at line 200 of file MittelmannParaCntrl.hpp.

References MittelmannParaCntrlBase< T >::a_u_, MittelmannParaCntrlBase< T >::a_y_, MittelmannParaCntrlBase< T >::alpha_, MittelmannParaCntrlBase< T >::beta_, MittelmannParaCntrlBase< T >::dt_, MittelmannParaCntrlBase< T >::dx_, MittelmannParaCntrlBase< T >::l_, MittelmannParaCntrlBase< T >::lb_u_, MittelmannParaCntrlBase< T >::lb_y_, MittelmannParaCntrlBase< T >::Nt_, MittelmannParaCntrlBase< T >::Nx_, MittelmannParaCntrlBase< T >::T_, MittelmannParaCntrlBase< T >::t_grid(), MittelmannParaCntrlBase< T >::ub_u_, MittelmannParaCntrlBase< T >::ub_y_, MittelmannParaCntrlBase< T >::x_grid(), and MittelmannParaCntrlBase< T >::y_T_.

template<class T>

MittelmannParaCntrlBase& MittelmannParaCntrlBase< T >::operator= | ( | const MittelmannParaCntrlBase< T > & |  | ) | `[private]`

template<class T>

Index MittelmannParaCntrlBase< T >::y_index | ( | Index | jx,
|  | Index | it |
| ) |  |  | const`[inline, private]`

Translation of mesh point indices to NLP variable indices for y(x_ij).

Definition at line 161 of file MittelmannParaCntrl.hpp.

References MittelmannParaCntrlBase< T >::Nx_.

Referenced by MittelmannParaCntrlBase< T >::eval_f(), MittelmannParaCntrlBase< T >::eval_g(), MittelmannParaCntrlBase< T >::eval_grad_f(), MittelmannParaCntrlBase< T >::eval_h(), MittelmannParaCntrlBase< T >::eval_jac_g(), MittelmannParaCntrlBase< T >::get_bounds_info(), and MittelmannParaCntrlBase< T >::get_starting_point().

template<class T>

Index MittelmannParaCntrlBase< T >::u_index | ( | Index | it | ) | const`[inline, private]`

Translation of mesh point indices to NLP variable indices for y(x_ij).

Definition at line 165 of file MittelmannParaCntrl.hpp.

References MittelmannParaCntrlBase< T >::Nt_, and MittelmannParaCntrlBase< T >::Nx_.

Referenced by MittelmannParaCntrlBase< T >::eval_f(), MittelmannParaCntrlBase< T >::eval_g(), MittelmannParaCntrlBase< T >::eval_grad_f(), MittelmannParaCntrlBase< T >::eval_h(), MittelmannParaCntrlBase< T >::eval_jac_g(), MittelmannParaCntrlBase< T >::get_bounds_info(), and MittelmannParaCntrlBase< T >::get_starting_point().

template<class T>

Number MittelmannParaCntrlBase< T >::t_grid | ( | Index | i | ) | const`[inline, private]`

Compute the grid coordinate for given index in t direction.

Definition at line 170 of file MittelmannParaCntrl.hpp.

References MittelmannParaCntrlBase< T >::dt_.

Referenced by MittelmannParaCntrlBase< T >::get_bounds_info(), and MittelmannParaCntrlBase< T >::InitializeProblem().

template<class T>

Number MittelmannParaCntrlBase< T >::x_grid | ( | Index | j | ) | const`[inline, private]`

Compute the grid coordinate for given index in x direction.

Definition at line 175 of file MittelmannParaCntrl.hpp.

References MittelmannParaCntrlBase< T >::dx_.

Referenced by MittelmannParaCntrlBase< T >::get_bounds_info(), and MittelmannParaCntrlBase< T >::InitializeProblem().

## Member Data Documentation

template<class T>

Number MittelmannParaCntrlBase< T >::T_`[private]`

Upper bound on t.

Definition at line 125 of file MittelmannParaCntrl.hpp.

Referenced by MittelmannParaCntrlBase< T >::InitializeProblem().

template<class T>

Number MittelmannParaCntrlBase< T >::l_`[private]`

Upper bound on x.

Definition at line 127 of file MittelmannParaCntrl.hpp.

Referenced by MittelmannParaCntrlBase< T >::InitializeProblem().

template<class T>

Index MittelmannParaCntrlBase< T >::Nt_`[private]`

Number of mesh points in t direction.

Definition at line 129 of file MittelmannParaCntrl.hpp.

Referenced by MittelmannParaCntrlBase< T >::eval_f(), MittelmannParaCntrlBase< T >::eval_g(), MittelmannParaCntrlBase< T >::eval_grad_f(), MittelmannParaCntrlBase< T >::eval_h(), MittelmannParaCntrlBase< T >::eval_jac_g(), MittelmannParaCntrlBase< T >::get_bounds_info(), MittelmannParaCntrlBase< T >::get_nlp_info(), MittelmannParaCntrlBase< T >::get_starting_point(), MittelmannParaCntrlBase< T >::InitializeProblem(), and MittelmannParaCntrlBase< T >::u_index().

template<class T>

Index MittelmannParaCntrlBase< T >::Nx_`[private]`

Number of mesh points in x direction.

Definition at line 131 of file MittelmannParaCntrl.hpp.

Referenced by MittelmannParaCntrlBase< T >::eval_f(), MittelmannParaCntrlBase< T >::eval_g(), MittelmannParaCntrlBase< T >::eval_grad_f(), MittelmannParaCntrlBase< T >::eval_h(), MittelmannParaCntrlBase< T >::eval_jac_g(), MittelmannParaCntrlBase< T >::get_bounds_info(), MittelmannParaCntrlBase< T >::get_nlp_info(), MittelmannParaCntrlBase< T >::get_starting_point(), MittelmannParaCntrlBase< T >::InitializeProblem(), MittelmannParaCntrlBase< T >::u_index(), and MittelmannParaCntrlBase< T >::y_index().

template<class T>

Number MittelmannParaCntrlBase< T >::dt_`[private]`

Step size in t direction.

Definition at line 133 of file MittelmannParaCntrl.hpp.

Referenced by MittelmannParaCntrlBase< T >::eval_f(), MittelmannParaCntrlBase< T >::eval_g(), MittelmannParaCntrlBase< T >::eval_grad_f(), MittelmannParaCntrlBase< T >::eval_h(), MittelmannParaCntrlBase< T >::eval_jac_g(), MittelmannParaCntrlBase< T >::get_scaling_parameters(), MittelmannParaCntrlBase< T >::InitializeProblem(), and MittelmannParaCntrlBase< T >::t_grid().

template<class T>

Number MittelmannParaCntrlBase< T >::dx_`[private]`

Step size in x direction.

Definition at line 135 of file MittelmannParaCntrl.hpp.

Referenced by MittelmannParaCntrlBase< T >::eval_f(), MittelmannParaCntrlBase< T >::eval_g(), MittelmannParaCntrlBase< T >::eval_grad_f(), MittelmannParaCntrlBase< T >::eval_h(), MittelmannParaCntrlBase< T >::eval_jac_g(), MittelmannParaCntrlBase< T >::get_scaling_parameters(), MittelmannParaCntrlBase< T >::InitializeProblem(), and MittelmannParaCntrlBase< T >::x_grid().

template<class T>

Number MittelmannParaCntrlBase< T >::lb_y_`[private]`

overall lower bound on y

Definition at line 137 of file MittelmannParaCntrl.hpp.

Referenced by MittelmannParaCntrlBase< T >::get_bounds_info(), and MittelmannParaCntrlBase< T >::InitializeProblem().

template<class T>

Number MittelmannParaCntrlBase< T >::ub_y_`[private]`

overall upper bound on y

Definition at line 139 of file MittelmannParaCntrl.hpp.

Referenced by MittelmannParaCntrlBase< T >::get_bounds_info(), and MittelmannParaCntrlBase< T >::InitializeProblem().

template<class T>

Number MittelmannParaCntrlBase< T >::lb_u_`[private]`

overall lower bound on u

Definition at line 141 of file MittelmannParaCntrl.hpp.

Referenced by MittelmannParaCntrlBase< T >::get_bounds_info(), MittelmannParaCntrlBase< T >::get_starting_point(), and MittelmannParaCntrlBase< T >::InitializeProblem().

template<class T>

Number MittelmannParaCntrlBase< T >::ub_u_`[private]`

overall upper bound on u

Definition at line 143 of file MittelmannParaCntrl.hpp.

Referenced by MittelmannParaCntrlBase< T >::get_bounds_info(), MittelmannParaCntrlBase< T >::get_starting_point(), and MittelmannParaCntrlBase< T >::InitializeProblem().

template<class T>

Number MittelmannParaCntrlBase< T >::alpha_`[private]`

Weighting parameter for the control target deviation functional in the objective.

Definition at line 146 of file MittelmannParaCntrl.hpp.

Referenced by MittelmannParaCntrlBase< T >::eval_f(), MittelmannParaCntrlBase< T >::eval_grad_f(), MittelmannParaCntrlBase< T >::eval_h(), and MittelmannParaCntrlBase< T >::InitializeProblem().

template<class T>

Number MittelmannParaCntrlBase< T >::beta_`[private]`

Weighting parameter in PDE.

Definition at line 148 of file MittelmannParaCntrl.hpp.

Referenced by MittelmannParaCntrlBase< T >::eval_g(), MittelmannParaCntrlBase< T >::eval_jac_g(), and MittelmannParaCntrlBase< T >::InitializeProblem().

template<class T>

Number* MittelmannParaCntrlBase< T >::y_T_`[private]`

Array for the target profile for y in objective.

Definition at line 150 of file MittelmannParaCntrl.hpp.

Referenced by MittelmannParaCntrlBase< T >::eval_f(), MittelmannParaCntrlBase< T >::eval_grad_f(), MittelmannParaCntrlBase< T >::InitializeProblem(), and MittelmannParaCntrlBase< T >::~MittelmannParaCntrlBase().

template<class T>

Number* MittelmannParaCntrlBase< T >::a_y_`[private]`

Array for weighting function a_y in objective.

Definition at line 152 of file MittelmannParaCntrl.hpp.

Referenced by MittelmannParaCntrlBase< T >::eval_f(), MittelmannParaCntrlBase< T >::eval_grad_f(), MittelmannParaCntrlBase< T >::InitializeProblem(), and MittelmannParaCntrlBase< T >::~MittelmannParaCntrlBase().

template<class T>

Number* MittelmannParaCntrlBase< T >::a_u_`[private]`

Array for weighting function a_u in objective.

Definition at line 154 of file MittelmannParaCntrl.hpp.

Referenced by MittelmannParaCntrlBase< T >::eval_f(), MittelmannParaCntrlBase< T >::eval_grad_f(), MittelmannParaCntrlBase< T >::InitializeProblem(), and MittelmannParaCntrlBase< T >::~MittelmannParaCntrlBase().

The documentation for this class was generated from the following file:

- /home/coin/SVN-release/Ipopt-3.7.1/Ipopt/examples/ScalableProblems/MittelmannParaCntrl.hpp